Subject: Smithing Opportunity

From: Peter Goering <[email-masked]>
Date: Wed, 29 May 1996 17:02:45 -0600 (MDT)

During my travels this past weekend in southern Arizona, I visited a 
Smithy in Tombstone called, oddly enough, Tombstone Smithy.  Great guy 
named Lee Mueller.  He gave us a nice tour of his shop even though he was 
extremely busy.  He told me he has an opening for a Blacksmith.  Just 
thought I'd pass it along in case anybody has a hankerin' for the "Old"
West.  I believe he would train the right apprentice.

Lee Mueller
Tombstone Smithy
600 E. Fremont
P.O. Box 222
Tombstone, Az 85638

(520) 457-2326
Fax  (520) 457-3303
Webpage   http://www.theriver.com/tombstone_smithy